<?php if ( ! defined( 'WPINC' ) ) {
	die;
}
/**
 * @var array $price_rules
 * @var string $real_price
 * @var int $product_id ;
 */
?>

<?php if ( ! empty( $price_rules ) ): ?>

    <div class="price-rules-table-wrapper">
		<?php if ( ! empty( $settings['table_title'] ) ): ?>
            <h3 style="clear:both;"><?php echo $settings['table_title']; ?></h3>
		<?php endif; ?>

		<?php do_action( 'before_percentage_tier_pricing_table' ); ?>

        <table class="shop_table price-rules-table <?php echo $settings['table_css_class'] ?>" data-price-rules-table
               data-product-id="<?php echo $product_id; ?>"
               data-price-rules="<?php echo htmlspecialchars( json_encode( $price_rules ) ); ?>">
            <thead>
            <tr>
                <th><span class="nobr"><?php echo sanitize_text_field( $settings['head_quantity_text'] ); ?></span></th>
				<?php if ( $settings['show_discount_column'] === 'yes' ): ?>
                    <th>
                        <span class="nobr"><?php echo sanitize_text_field( $settings['head_discount_text'] ); ?></span>
                    </th>
				<?php endif; ?>
                <th><span class="nobr"><?php echo sanitize_text_field( $settings['head_price_text'] ); ?></span></th>
            </tr>
            </thead>

            <tbody>
            <tr data-price-rules-amount="1" data-price-rules-price="<?php echo $real_price ?>" data-price-rules-row>
                <td>
					<?php if ( 1 === array_keys( $price_rules )[0] - 1 ): ?>
                        <span>1</span>
					<?php else: ?>
                        <span>1 - <?php echo array_keys( $price_rules )[0] - 1; ?></span>
					<?php endif; ?>
                </td>
				<?php if ( $settings['show_discount_column'] === 'yes' ): ?>
                    <td>
                        —
                    </td>
				<?php endif; ?>
                <td>
                    <span data-price-rules-formated-price><?php echo wc_price( $real_price ); ?></span>
                </td>
            </tr>

			<?php $iterator = new ArrayIterator( $price_rules ); ?>

			<?php while ( $iterator->valid() ): ?>
				<?php
				$percentageDiscount = $iterator->current();
				$current_quantity   = $iterator->key();

				$iterator->next();

				if ( $iterator->valid() ) {
					$quantity = $current_quantity;

					if ( intval( $iterator->key() - 1 != $current_quantity ) ) {
						$quantity = $quantity . ' - ' . intval( $iterator->key() - 1 );
					}
				} else {
					$quantity = $current_quantity . '+';
				}
				?>
                <tr data-price-rules-amount="<?php echo $current_quantity ?>"
                    data-price-rules-price="<?php echo $percentageDiscount ?>" data-price-rules-row>
                    <td>
                        <span><?php echo $quantity ?></span>
                    </td>
					<?php if ( $settings['show_discount_column'] === 'yes' ): ?>
                        <td>
                            <span><?php echo $percentageDiscount ?> %</span>
                        </td>
					<?php endif; ?>
                    <td>
                        <span data-price-rules-formated-price><?php echo wc_price( \TierPricingTable\PriceManager::getPriceByPercentDiscount( $real_price,
		                        $percentageDiscount ) ); ?></span>
                    </td>
                </tr>
			<?php endwhile; ?>

            </tbody>
        </table>

		<?php do_action( 'after_percentage_tier_pricing_table' ); ?>

    </div>

    <style>
        .price-rule-active td {
            background-color: <?php echo $settings['selected_quantity_color'] ?> !important;
        }

        .price-rules-table-wrapper {
        <?php echo $settings['display_type'] === 'tooltip' ? 'display: none; ' : ''; ?>
        }
    </style>
<?php endif; ?>